<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content miscellaneous-functions">
                   <div class="content-data">














                   

<ol class="breadcrumb">
  <li>Miscellaneous</li>
  <li>Functions</li>
</ol>

<section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <ul class="index-list">
                        <li>
                            <a href="#_createUser" title="src/services/users/repositories/user-firebase.repository.ts"><b>_createUser</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#_createUser" title="src/services/users/repositories/user.repository.ts"><b>_createUser</b>&nbsp;&nbsp;&nbsp;(src/.../user.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#addSocialAccountToUser" title="src/services/users/repositories/user-firebase.repository.ts"><b>addSocialAccountToUser</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#addToNotificationCredentials" title="src/services/users/repositories/user.repository.ts"><b>addToNotificationCredentials</b>&nbsp;&nbsp;&nbsp;(src/.../user.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#authenticateUser" title="src/services/users/repositories/user-authentication.repository.ts"><b>authenticateUser</b>&nbsp;&nbsp;&nbsp;(src/.../user-authentication.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#bootstrap" title="src/main.ts"><b>bootstrap</b>&nbsp;&nbsp;&nbsp;(src/.../main.ts)</a>
                        </li>
                        <li>
                            <a href="#checkIfUsernameExists" title="src/services/users/repositories/user-firebase.repository.ts"><b>checkIfUsernameExists</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#checkIfUsernameExists" title="src/services/users/repositories/user.repository.ts"><b>checkIfUsernameExists</b>&nbsp;&nbsp;&nbsp;(src/.../user.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#createUserFire" title="src/services/users/repositories/user-firebase.repository.ts"><b>createUserFire</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#createUserMongo" title="src/services/users/repositories/user.repository.ts"><b>createUserMongo</b>&nbsp;&nbsp;&nbsp;(src/.../user.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#getMongoUserByProp" title="src/services/users/repositories/user.repository.ts"><b>getMongoUserByProp</b>&nbsp;&nbsp;&nbsp;(src/.../user.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#getMongoUsersByIds" title="src/services/users/repositories/user.repository.ts"><b>getMongoUsersByIds</b>&nbsp;&nbsp;&nbsp;(src/.../user.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#getPasswordById" title="src/services/users/repositories/user-firebase.repository.ts"><b>getPasswordById</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#getUserByDocument" title="src/services/users/repositories/user-firebase.repository.ts"><b>getUserByDocument</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#getUserByProp" title="src/services/users/repositories/user-firebase.repository.ts"><b>getUserByProp</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#getUserByUsername" title="src/services/users/repositories/user-firebase.repository.ts"><b>getUserByUsername</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#getUserByUsername" title="src/services/users/repositories/user.repository.ts"><b>getUserByUsername</b>&nbsp;&nbsp;&nbsp;(src/.../user.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#isUserAuthenticated" title="src/services/users/repositories/user-authentication.repository.ts"><b>isUserAuthenticated</b>&nbsp;&nbsp;&nbsp;(src/.../user-authentication.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#parse" title="src/services/users/repositories/user-firebase.repository.ts"><b>parse</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#Saga" title="src/common/events/event-emitter.ts"><b>Saga</b>&nbsp;&nbsp;&nbsp;(src/.../event-emitter.ts)</a>
                        </li>
                        <li>
                            <a href="#updateFireUserByValuePairs" title="src/services/users/repositories/user-firebase.repository.ts"><b>updateFireUserByValuePairs</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#updateMongoUserByValuePairs" title="src/services/users/repositories/user.repository.ts"><b>updateMongoUserByValuePairs</b>&nbsp;&nbsp;&nbsp;(src/.../user.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#updateUser" title="src/services/users/repositories/user-firebase.repository.ts"><b>updateUser</b>&nbsp;&nbsp;&nbsp;(src/.../user-firebase.repository.ts)</a>
                        </li>
                        <li>
                            <a href="#updateUserElementInArray" title="src/services/users/repositories/user.repository.ts"><b>updateUserElementInArray</b>&nbsp;&nbsp;&nbsp;(src/.../user.repository.ts)</a>
                        </li>
                    </ul>
                </td>
            </tr>
        </tbody>
    </table>
</section>

    <h3>src/services/users/repositories/user-firebase.repository.ts</h3>
    <section>
    <h3></h3>    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="_createUser"></a>
                    <span class="name">
                        <b>
                            _createUser
                        </b>
                        <a href="#_createUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>_createUser(user)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>Creates a new user</p>
</div>

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                    <td>Description</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user</td>

                                    <td>
                                        No
                                    </td>


                                    <td>
                                        <p>User </p>

                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="addSocialAccountToUser"></a>
                    <span class="name">
                        <b>
                            addSocialAccountToUser
                        </b>
                        <a href="#addSocialAccountToUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>addSocialAccountToUser(user_id, social_access_token, provider)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user_id</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>social_access_token</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>provider</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="checkIfUsernameExists"></a>
                    <span class="name">
                        <b>
                            checkIfUsernameExists
                        </b>
                        <a href="#checkIfUsernameExists"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>checkIfUsernameExists(username)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>username</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>    <code>Promise&lt;boolean | null&gt;</code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="createUserFire"></a>
                    <span class="name">
                        <b>
                            createUserFire
                        </b>
                        <a href="#createUserFire"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>createUserFire(user)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                    <td>Description</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user</td>

                                    <td>
                                        No
                                    </td>


                                    <td>
                                        <p>User</p>

                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getPasswordById"></a>
                    <span class="name">
                        <b>
                            getPasswordById
                        </b>
                        <a href="#getPasswordById"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getPasswordById(id)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>id</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getUserByDocument"></a>
                    <span class="name">
                        <b>
                            getUserByDocument
                        </b>
                        <a href="#getUserByDocument"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getUserByDocument(input: <a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank">any</a>)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>input</td>
                                    <td>
                                                <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="../interfaces/IUserFireEntity.html" target="_self" >Promise&lt;IUserFireEntity&gt;</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getUserByProp"></a>
                    <span class="name">
                        <b>
                            getUserByProp
                        </b>
                        <a href="#getUserByProp"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getUserByProp(prop, input: <a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank">any</a>)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>prop</td>
                                    <td>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>input</td>
                                    <td>
                                                <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="../interfaces/IUserFireEntity.html" target="_self" >Promise&lt;IUserFireEntity&gt;</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getUserByUsername"></a>
                    <span class="name">
                        <b>
                            getUserByUsername
                        </b>
                        <a href="#getUserByUsername"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getUserByUsername(username)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>username</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="../interfaces/IUserFireEntity.html" target="_self" >Promise&lt;IUserFireEntity&gt;</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="parse"></a>
                    <span class="name">
                        <b>
                            parse
                        </b>
                        <a href="#parse"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>parse(data: <a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank">any</a>)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>data</td>
                                    <td>
                                                <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="updateFireUserByValuePairs"></a>
                    <span class="name">
                        <b>
                            updateFireUserByValuePairs
                        </b>
                        <a href="#updateFireUserByValuePairs"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>updateFireUserByValuePairs(id, valuePairs)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>id</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>valuePairs</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="updateUser"></a>
                    <span class="name">
                        <b>
                            updateUser
                        </b>
                        <a href="#updateUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>updateUser(user_id, prop, input: <a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank">any</a>)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user_id</td>
                                    <td>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>prop</td>
                                    <td>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>input</td>
                                    <td>
                                                <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>    <h3>src/services/users/repositories/user.repository.ts</h3>
    <section>
    <h3></h3>    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="_createUser"></a>
                    <span class="name">
                        <b>
                            _createUser
                        </b>
                        <a href="#_createUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>_createUser(user)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>Creates a new user</p>
</div>

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                    <td>Description</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user</td>

                                    <td>
                                        No
                                    </td>


                                    <td>
                                        <p>User </p>

                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="addToNotificationCredentials"></a>
                    <span class="name">
                        <b>
                            addToNotificationCredentials
                        </b>
                        <a href="#addToNotificationCredentials"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>addToNotificationCredentials(user_id, entity)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user_id</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>entity</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="checkIfUsernameExists"></a>
                    <span class="name">
                        <b>
                            checkIfUsernameExists
                        </b>
                        <a href="#checkIfUsernameExists"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>checkIfUsernameExists(username)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>username</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>    <code>Promise&lt;boolean | null&gt;</code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="createUserMongo"></a>
                    <span class="name">
                        <b>
                            createUserMongo
                        </b>
                        <a href="#createUserMongo"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>createUserMongo(user)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                    <td>Description</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user</td>

                                    <td>
                                        No
                                    </td>


                                    <td>
                                        <p>User</p>

                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getMongoUserByProp"></a>
                    <span class="name">
                        <b>
                            getMongoUserByProp
                        </b>
                        <a href="#getMongoUserByProp"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getMongoUserByProp(prop, input)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>prop</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>input</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getMongoUsersByIds"></a>
                    <span class="name">
                        <b>
                            getMongoUsersByIds
                        </b>
                        <a href="#getMongoUsersByIds"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getMongoUsersByIds(user_ids)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user_ids</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getUserByUsername"></a>
                    <span class="name">
                        <b>
                            getUserByUsername
                        </b>
                        <a href="#getUserByUsername"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getUserByUsername(username)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>username</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="../interfaces/IUserMongoEntity.html" target="_self" >Promise&lt;IUserMongoEntity&gt;</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="updateMongoUserByValuePairs"></a>
                    <span class="name">
                        <b>
                            updateMongoUserByValuePairs
                        </b>
                        <a href="#updateMongoUserByValuePairs"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>updateMongoUserByValuePairs(id, pairs)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>id</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>pairs</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="updateUserElementInArray"></a>
                    <span class="name">
                        <b>
                            updateUserElementInArray
                        </b>
                        <a href="#updateUserElementInArray"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>updateUserElementInArray(user_id, array_prop, entity, array_filters)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user_id</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>array_prop</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>entity</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>array_filters</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>    <h3>src/services/users/repositories/user-authentication.repository.ts</h3>
    <section>
    <h3></h3>    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="authenticateUser"></a>
                    <span class="name">
                        <b>
                            authenticateUser
                        </b>
                        <a href="#authenticateUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>authenticateUser(user)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="isUserAuthenticated"></a>
                    <span class="name">
                        <b>
                            isUserAuthenticated
                        </b>
                        <a href="#isUserAuthenticated"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>isUserAuthenticated(user)</code>
                </td>
            </tr>




            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>user</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>    <h3>src/main.ts</h3>
    <section>
    <h3></h3>    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="bootstrap"></a>
                    <span class="name">
                        <b>
                            bootstrap
                        </b>
                        <a href="#bootstrap"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>bootstrap()</code>
                </td>
            </tr>




        </tbody>
    </table>
</section>    <h3>src/common/events/event-emitter.ts</h3>
    <section>
    <h3></h3>    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="Saga"></a>
                    <span class="name">
                        <b>
                            Saga
                        </b>
                        <a href="#Saga"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>Saga()</code>
                </td>
            </tr>




        </tbody>
    </table>
</section>


                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'miscellaneous-functions';
            var COMPODOC_CURRENT_PAGE_URL = 'functions.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
